changeset 722:b5c0cf2e7f61

Fix thinkos.
author Rob Landley <rob@landley.net>
date Sun, 26 Apr 2009 19:20:39 -0500
parents f0ede6d6c952
children c0a992ba6caf
files buildall.sh
diffstat 1 files changed, 2 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/buildall.sh	Sun Apr 26 15:30:26 2009 -0500
+++ b/buildall.sh	Sun Apr 26 19:20:39 2009 -0500
@@ -8,7 +8,7 @@
 rm -rf build
 
 [ -z "${ARCHES}" ] &&
-  BASEARCHES="$(cd sources/targets/; ls | grep -v '^hw-')"
+  ARCHES="$(cd sources/targets/; ls | grep -v '^hw-')"
 [ -z "$ALLARCHES" ] &&
   ALLARCHES="${ARCHES} $(cd sources/targets; ls | grep '^hw-')"
 
@@ -37,7 +37,7 @@
 
 # Create README file (requires build/sources to be extracted)
 
-(do_readme && cat sources/toys/README.footer) | tee build/README
+cat packages/MANIFEST sources/toys/README.footer > build/README || exit 1
 
 # Build all the initial cross compilers, possibly in parallel